> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fullenrich.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Enrichment Result

> Use this endpoint to retrieve the result from an enrich. You don’t need to use this endpoint if you are using a webhook. Using a webhook is the method we recommend to get the result as soon as the enrichment is done.



## OpenAPI

````yaml reference/openapi.yml get /contact/enrich/bulk/{enrichment_id}
openapi: 3.1.0
info:
  title: FullEnrich API Documentation
  version: 1.0.0
servers:
  - url: https://app.fullenrich.com/api/v1
security: []
paths:
  /contact/enrich/bulk/{enrichment_id}:
    get:
      summary: Get Bulk Enrich Results
      description: Use this endpoint to retrieve the result from an enrich.
      operationId: GetContactBulkEnrichByID
      parameters:
        - name: enrichment_id
          in: path
          required: true
          schema:
            type: string
        - name: forceResults
          in: query
          schema:
            type: boolean
          description: >-
            Default = False. This parameter forces the API to return what has
            been found so far, even if the enrichment is not finished. This may
            result in missing information and is not recommended for regular
            use.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseGetContactBulkEnrich'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                InProgress:
                  value:
                    code: error.enrichment.in_progress
                    message: Enrichement not ready, try again in 30 seconds
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                AuthorizationHeaderNotSet:
                  value:
                    code: error.authorization.not_set
                    message: Authorization headers not set
                AuthorizationHeaderNotAnBearer:
                  value:
                    code: error.authorization.not_bearer
                    message: Authorization headers not have prefix 'bearer'
                UnknownApiKey:
                  value:
                    code: error.api.key
                    message: Unknown api key
        '402':
          description: Payment Required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseGetContactBulkEnrich'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                EnrichmentNotFound:
                  value:
                    code: error.enrichment.not_found
                    message: Enrichement ID not found
      security:
        - BearerAuth: []
components:
  schemas:
    ResponseGetContactBulkEnrich:
      type: object
      properties:
        id:
          type: string
          format: uuid
          examples:
            - 2db5ea61-1752-42cf-8ea1-ab1da060cd0a
        name:
          type: string
          examples:
            - Sales Operations in London
        status:
          type: string
          examples:
            - FINISHED
          enum:
            - CREATED
            - IN_PROGRESS
            - CANCELED
            - CREDITS_INSUFFICIENT
            - FINISHED
            - RATE_LIMIT
            - UNKNOWN
        datas:
          type: array
          items:
            $ref: '#/components/schemas/Record'
        cost:
          $ref: '#/components/schemas/Cost'
      x-stoplight:
        id: o5udhwl7oihgf
    Error:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
      x-stoplight:
        id: v5d69l7ks2svx
    Record:
      type: object
      properties:
        custom:
          type: object
          examples:
            - user_id: '12584'
        contact:
          $ref: '#/components/schemas/Contact'
      x-stoplight:
        id: felj7cfxa3c2z
    Cost:
      type: object
      properties:
        credits:
          type: number
          format: int
          description: Number of credits consumed for this enrichment
          examples:
            - 1
            - 0
    Contact:
      type: object
      properties:
        firstname:
          type: string
          examples:
            - john
        lastname:
          type: string
          examples:
            - snow
        domain:
          type: string
          examples:
            - example.com
        most_probable_email:
          type: string
          description: >-
            If we receive multiple emails, we will select the most likely one
            and exclude any “INVALID” emails.
          examples:
            - john.snow@example.com
        most_probable_email_status:
          type: string
          description: Status of the most_probable_email.
          examples:
            - HIGH_PROBABILITY
        most_probable_phone:
          type: string
          description: >-
            If we get multiple phones, we will return the most likely one. If we
            detect a phone as a landline, it will not be returned here (even if
            it is the only one found)
          examples:
            - +33 6 76 78 90 65
        emails:
          type: array
          items:
            $ref: '#/components/schemas/Email'
        phones:
          type: array
          items:
            $ref: '#/components/schemas/Phone'
        social_medias:
          type: array
          items:
            $ref: '#/components/schemas/SocialMedia'
        profile:
          $ref: '#/components/schemas/Profile'
      x-stoplight:
        id: jldjs91ydll8o
    Email:
      type: object
      properties:
        email:
          type: string
          examples:
            - john.snow@example.com
        status:
          type: string
          examples:
            - DELIVERABLE
          enum:
            - DELIVERABLE
            - HIGH_PROBABILITY
            - CATCH_ALL
            - INVALID
      x-stoplight:
        id: 8utl5ifpk0q85
    Phone:
      type: object
      properties:
        number:
          type: string
          examples:
            - +33 6 76 78 90 65
        region:
          type: string
          examples:
            - FR
      x-stoplight:
        id: 4ip0bf4whz71u
    SocialMedia:
      type: object
      properties:
        url:
          type: string
          examples:
            - https://www.linkedin.com/in/john-snow
        type:
          type: string
          examples:
            - LINKEDIN
          enum:
            - LINKEDIN
            - UNKNOWN
            - WEBSITE
            - BLOG
            - TWITTER
            - YOUTUBE
            - FACEBOOK
            - MEDIUM
            - INSTAGRAM
            - TIKTOK
            - GITHUB
      x-stoplight:
        id: qsezq6vq3zhc4
    Profile:
      type: object
      properties:
        linkedin_id:
          type: number
          format: int
          examples:
            - 1234567890
        linkedin_url:
          type: string
          examples:
            - https://www.linkedin.com/in/john-snow
        linkedin_handle:
          type: string
          examples:
            - john-snow
        sales_navigator_id:
          type: string
          examples:
            - ACoAAAAmaeEB8HhLAj6PTIYE1fU0DQc4CAkf8..
        firstname:
          type: string
          examples:
            - john
        lastname:
          type: string
          examples:
            - snow
        premium_account:
          type: boolean
          examples:
            - true
        location:
          type: string
          examples:
            - Paris
        summary:
          type: string
          examples:
            - Business oriented leader with broad experience within industry
        headline:
          type: string
          examples:
            - CTO & cofounder
        position:
          $ref: '#/components/schemas/ProfilePosition'
    ProfilePosition:
      type: object
      properties:
        title:
          type: string
          examples:
            - Chief Technical Officer
        description:
          type: string
          examples:
            - ...
        start_at:
          $ref: '#/components/schemas/ProfileDate'
        end_at:
          $ref: '#/components/schemas/ProfileDate'
        company:
          $ref: '#/components/schemas/ProfileCompany'
    ProfileDate:
      type: object
      properties:
        month:
          type: number
          format: int
          examples:
            - 6
        year:
          type: number
          format: int
          examples:
            - 2024
    ProfileCompany:
      type: object
      properties:
        linkedin_id:
          type: number
          format: int
          examples:
            - 9876543210
        linkedin_url:
          type: string
          examples:
            - https://www.linkedin.com/company/fullenrich
        linkedin_handle:
          type: string
          examples:
            - fullenrich
        name:
          type: string
          examples:
            - Fullenrich
        description:
          type: string
          examples:
            - ...
        website:
          type: string
          examples:
            - https://www.fullenrich.com
        domain:
          type: string
          examples:
            - fullenrich.com
        industry:
          type: string
          examples:
            - ...
        type:
          type: string
          examples:
            - ...
        year_founded:
          type: number
          format: int
          examples:
            - 1979
        headcount:
          type: number
          format: int
          examples:
            - 27367
        headcount_range:
          type: string
          examples:
            - 10K+
        headquarters:
          $ref: '#/components/schemas/ProfileCompanyHeadquaters'
    ProfileCompanyHeadquaters:
      type: object
      properties:
        region:
          type: string
          examples:
            - IDF
        city:
          type: string
          examples:
            - Paris
        country:
          type: string
          examples:
            - France
        country_code:
          type: string
          examples:
            - FR
        postal_code:
          type: string
          examples:
            - '75001'
        address_line_1:
          type: string
          examples:
            - Avenue des champs elysées
        address_line_2:
          type: string
          examples:
            - ''
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: string

````